﻿__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
#import app.util
import app.batch
#import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Generate mongod.conf"
    
    def createRuntime(self):
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'mongodb', 'conf-snippets', 'mongod.conf.d')) \
            .evaluateIntoFile("/etc/mongod.conf")

